Package ch.qos.logback.access.sift

# Class AppenderFactoryUsingJoran

java.lang.Object
ch.qos.logback.core.sift.AbstractAppenderFactoryUsingJoran<IAccessEvent>
ch.qos.logback.access.sift.AppenderFactoryUsingJoran

All Implemented Interfaces:
  `AppenderFactory<IAccessEvent>`

public class AppenderFactoryUsingJoran extends AbstractAppenderFactoryUsingJoran<IAccessEvent>

## Field Summary

### Fields inherited from class ch.qos.logback.core.sift.AbstractAppenderFactoryUsingJoran

`key, parentPropertyMap`

## Method Summary

Modifier and Type
Method
Description
`SiftingJoranConfiguratorBase<IAccessEvent>`
`getSiftingJoranConfigurator(String keyValue)`

### Methods inherited from class ch.qos.logback.core.sift.AbstractAppenderFactoryUsingJoran

`buildAppender, getEventList`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getSiftingJoranConfigurator

public SiftingJoranConfiguratorBase<IAccessEvent> getSiftingJoranConfigurator(String keyValue)

Specified by:
  `getSiftingJoranConfigurator` in class `AbstractAppenderFactoryUsingJoran<IAccessEvent>`